${PROCMAIL}: ${SENDMAIL}
${FETCHMAIL}: ${OPENSSL} ${PROCMAIL}
+
+${FUSE}: ${UDEV}
AVRDUDE="avrdude-5.1"
ATK="atk-1.18.0"
AUDIOFILE="audiofile-0.2.6"
-AUTOCONF="autoconf-2.63"
-AUTOMAKE="automake-1.10.1"
+AUTOCONF="autoconf-2.64"
+AUTOMAKE="automake-1.11"
BABL="babl-0.0.22"
BASH="bash-3.2"
BC="bc-1.06"
-BISON="bison-2.3"
+BISON="bison-2.4.1"
BIND="bind-9.5.0-P2"
BINUTILS="binutils-2.18"
ARM_BINUTILS="binutils-2.18"
DESKTOP_FILE_UTILS="desktop-file-utils-0.13"
DHCP="dhcp-3.0.5"
DIFFUTILS="diffutils-2.8.7"
+DVDFS="dvdfs-0.2"
DVDRWTOOLS="dvd+rw-tools-7.1"
SGML_COMMON="sgml-common-0.6.3"
FONTCONFIG="fontconfig-2.4.2"
FREETYPE="freetype-2.3.4"
FRIBIDI="fribidi-0.10.7"
+FUSE="fuse-2.8.1"
GAWK="gawk-3.1.6"
GC="gc6.5"
IMLIB="imlib-1.9.14"
IANA="iana-etc-2.20"
IMAGE_MAGICK="ImageMagick-6.5.0-8"
+INDENT="indent-2.2.10"
INETUTILS="inetutils-1.5"
INKSCAPE="inkscape-r19727"
INTLTOOL="intltool-0.40.6"
LIBTHEORA="libtheora-1.0"
LIBSPF2="libspf2-1.2.5"
LIBNOTIFY="libnotify-0.4.4"
+LILYPOND="lilypond-2.12.2"
LTSP_UTILS="ltsp-utils-0.25-0"
TFTP_HPA="tftp-hpa-0.42"
TETEX_TEXMF="tetex-texmf-3.0"
TETEX_TEXMFSRC="tetex-texmfsrc-3.0"
TETEX_CM_SUPER="tetex-cm-super"
-TEXINFO="texinfo-4.9"
+TEXINFO="texinfo-4.13a"
TRANSMISSION="transmission-1.34"
-UDEV="udev-113"
-UDEV_CONFIG="udev-config-20080217"
+UDEV="udev-149"
+UDEV_CONFIG="udev-config-20090925"
UML_UTILITIES="uml_utilities_20070815"
UNZIP="unzip-5.52"
UTIL_LINUX="util-linux-2.12r"
WINDOWMAKER_EXTRA="WindowMaker-extra-0.1"
WMNOTIFY="wmnotify-0.3.2"
WV="wv-1.2.4"
-####WXGTK="wxGTK-2.8.7"
XFREE86="XFree86-4.6.0"
XMLTOMAN="xmltoman-0.4"
mknod -m0666 /lib/udev/devices/null c 1 3 || exit 1
fi &&
+if [ ! -c /lib/udev/devices/kmsg ]; then
+ mknod -m0600 /lib/udev/devices/kmsg c 1 11 || exit 1
+fi &&
+
if [ ! -h /lib/udev/devices/fd ]; then
ln -sfv /proc/self/fd /lib/udev/devices/fd || exit 1
fi &&
ln -sfv /proc/kcore /lib/udev/devices/core || exit 1
fi &&
-make EXTRAS="`echo extras/*/`" &&
-make DESTDIR=/ EXTRAS="`echo extras/*/`" install &&
-
-# First install the commonly-used rules files provided by Udev:
-cp -v etc/udev/rules.d/[0-9]* /etc/udev/rules.d/ &&
-
-# Install the documentation that explains how to create custom Udev rules:
-#install -m644 -v docs/writing_udev_rules/index.html \
-# /usr/share/doc/${1}/index.html &&
+cd ${LFS_TMP}/${PACKAGE} &&
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --sbindir=/sbin \
+ --with-rootlibdir=/lib \
+ --libexecdir=/lib/udev \
+ --docdir=/usr/share/doc/${PACKAGE} \
+ --disable-extras \
+ --disable-introspection \
+ ${CONFIGURE_OPTS} &&
+make &&
+make install &&
cat > /etc/sysconfig/modules << "EOF" &&
# Add modules that must be manually loaded in this file,
chmod -v 644 /etc/sysconfig/modules &&
-
ldconfig
# Return last error
fpkg ${SYSKLOGD} http://www.infodrom.org/projects/sysklogd/download
fpkg ${SYSVINIT} ftp://ftp.cistron.nl/pub/people/miquels/sysvinit
fpkg ${UDEV} http://www.kernel.org/pub/linux/utils/kernel/hotplug
-fpkg_lfs ${UDEV_CONFIG}
+fpkg ${UDEV_CONFIG} "http://www.linuxfromscratch.org/lfs/downloads/development"
# Additional packages (not in original LFS, only for hvlinux).
fpkg ${NANO} http://www.nano-editor.org/dist/v2.0
fi
ipkg_ac ${LIBTOOL}
+ipkg ${UDEV} cis-udev
+ipkg ${UDEV_CONFIG} cis-udev-config
# Return last error
exit $?
APACHECTL=/usr/sbin/apachectl
-# Check that the ifconfig program is present and executable.
+# Check that the program is present and executable.
if [ ! -x ${APACHECTL} ]; then
log_message "*** ERROR: ${APACHECTL} program not found."
exit ${EXIT_CODE_FAILURE}
--- /dev/null
+#!/bin/sh
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+CUR_DIR=$(pwd)
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE} &&
+
+cd ${LFS_TMP}/${PACKAGE} &&
+make &&
+make install &&
+
+# Mount script
+install -v -m755 ${CUR_DIR}/resources/mount.fusedvdfs /sbin
+
+# Return last error
+exit $?
fpkg_sf ${CDRDAO}
fpkg_hv ${PORTAUDIO}
fpkg_hv ${SWEEP}
-
+fpkg ${LILYPOND} "http://lilypond.org/download/sources/v$(get_pkg_ver_base ${LILYPOND})"
fpkg ${SYLPHEED} "http://sylpheed.good-day.net/sylpheed/v$(get_pkg_ver_base ${SYLPHEED})"
fpkg ${SQLITE} "http://www.sqlite.org"
fpkg_sf ${STRACE}
lpkg 2 ${SUBVERSION}
+fpkg_gnu ${INDENT}
fpkg ${GIT} "http://www.kernel.org/pub/software/scm/git"
fpkg_hv ${GIT_MANPAGES}
fpkg ${LIBDVDCSS} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
fpkg ${LIBDVDREAD} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
+fpkg_sf ${FUSE}
+fpkg ${DVDFS} "http://jspenguin.org:81/dvdfs"
fpkg ${DOSFSTOOLS} "http://www.daniel-baumann.ch/software/dosfstools"
--- /dev/null
+#!/bin/sh
+
+DEVICE=${1}
+MOUNT_POINT=${2}
+
+dvdfs -o device=${DEVICE} ${MOUNT_POINT}
+
+exit $?
ipkg_ac_nb ${CDRDAO}
ipkg_ac ${SWEEP} "--enable-pulseaudio"
ipkg_ac ${EASYTAG}
+ ipkg_ac_nb ${LILYPOND}
ipkg_ac_nb ${FFMPEG} "--enable-shared --enable-pthreads --enable-gpl --enable-nonfree --disable-ffplay \
--enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libtheora \
# Subversion server (client was already installed in stage2)
ipkg ${SUBVERSION} cis-subversion
+ ipkg_ac ${INDENT}
fi
ipkg_ac_nb ${GIT}
ipkg_ac ${LIBDVDCSS}
ipkg_ac ${LIBDVDREAD} "--with-libdvdcss"
+INIT_D_PATH=/etc/rc.d/init.d ipkg_ac_nb ${FUSE}
+ipkg ${DVDFS} cis-dvdfs
ipkg ${DOSFSTOOLS} cis-dosfstools